// The pancake.
package kirk.gui.closer;

// Import the Window class.
import java.awt.Window; 

/**
 * This interface is implemented by classes wo want to make use of
 * <code>FinishingCloser</code>s for window closing. It provides a way to have
 * your program do things on exit.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see kirk.gui.closer.FinishingCloser
 */
public interface Finisher {
	/**
	 * The method that gets called before a <code>FinishingCloser</code> closes
	 * a window.
	 * 
	 * @param window The <code>Window</code> that is being closed.
	 * @return <code>true</code> if the calling Window should be closed,
	 * <code>false</code> if it should not. 
	 */
	public boolean finish(Window window);
}