// Import this package. I mean... Uhm...
package kirk.gui.dialog;

// Import the AWT classes.
import java.awt.*;

/**
 * Pops up a <code>Dialog</code> with the given message.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 */
public class MessageDialog extends PopupDialog {
	/**
	 * Constructs a new <code>MessageDialog</code> with the passed message.
	 * 
	 * @param owner The owner of this <code>Dialog</code>.
	 * @param title The title of this <code>Dialog</code>.
	 * @param message The message to be popped up.
	 * @param width The width of this <code>Dialog</code> in pixels.
	 * @param height The height of this <code>Dialog</code> in pixels.
	 */
	public MessageDialog(Frame owner, String title, String message, int width, int height) {
		// Call the supercontructor, with owner, and the passed title.
		super(owner, title, width, height);
		
		// Display the message.
		Label messagelabel = new Label(message, Label.CENTER);
		add(messagelabel);
		
		// Add an OK button to this Dialog. Make it close the window by generating an
		// ActionEvent.
		Button okbutton = new Button("OK");
		okbutton.addActionListener(this);
		add(okbutton);
	}
}
