// This class filters files, thus IO.
package kirk.io;

// Import the IO classes.
import java.io.*;

/**
 * This class is used for filtering out folders when using
 * <code>java.io.File.listFiles(java.io.FileFilter)</code>.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see java.io.File#list(java.io.FilenameFilter)
 */
public class FolderFilter implements FileFilter {
	/**
	 * Returns whether when the passed file should be included in the listing. If it
	 * is a folder, it should.
	 * 
	 * @param file The file to be checked upon.
	 * @return Whether the file is a folder.
	 */
	public boolean accept(File file) {
		// Return whether this file is a folder.
		return file.isDirectory();
	}
}