// The package.
package kirk.io.sdl;

/**
 * This class represents an exception that is thrown when there is no match while
 * searching for <code>SDLElement</code>s with a certain name.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see kirk.io.sdl.SDLNormalElement#getElement(String)
 * @see kirk.io.sdl.SDLNormalElement#getNormalElement(String)
 * @see kirk.io.sdl.SDLNormalElement#getDataElement(String)
 */
public class NoMatchException extends Exception {
	/**
	 * Constructs a new <code>NoMatchException</code> with the given error message.
	 * 
	 * @param message The error message.
	 */
	public NoMatchException(String message) {
		// Superduper it.
		super(message);
	}
	
	/**
	 * Constructs a new <code>NoMatchException</code> with no error message.
	 */
	public NoMatchException() {
		// Superduper it.
		super();
	}	
}