// The package.
package kirk.util;

/**
 * This class represents an exception that can be thrown during the conversion of a
 * <code>String</code> to a <code>boolean</code> or <code>Boolean</code>.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see java.lang.Boolean
 */
public class BooleanFormatException extends IllegalArgumentException {
	/**
	 * Constructs a new <code>BooleanFormatException</code> with the given message.
	 * 
	 * @param message The message that indicates what was wrong.
	 */
	public BooleanFormatException(String message) {
		// Super the message.
		super(message);
	}
	
	/**
	 * Constructs a new <code>BooleanFormatException</code> with no message.
	 */
	public BooleanFormatException() {
		// Super.
		super();
	}
}