// The package.
package kirk.util;

/**
 * This class represents an exception that can be thrown during the conversion of a
 * <code>String</code> to a <code>char</code> or <code>Character</code>.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see java.lang.Character
 */
public class CharacterFormatException extends IllegalArgumentException {
	/**
	 * Constructs a new <code>CharacterFormatException</code> with the given message.
	 * 
	 * @param message The message that indicates what was wrong.
	 */
	public CharacterFormatException(String message) {
		// Super the message.
		super(message);
	}
	
	/**
	 * Constructs a new <code>CharacterFormatException</code> with no message.
	 */
	public CharacterFormatException() {
		// Super.
		super();
	}
}